package com.gestion.model;
// Generated 12-12-2019 03:19:03 PM by Hibernate Tools 5.2.12.Final

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * Actividades generated by hbm2java
 */
@Entity
@Table(name = "actividades", catalog = "gestion_actividades")
public class Actividades implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer idActividades;
	private Estados estados;
	private Usuarios usuarios;
	private String nombre;
	private String descripcion;
	private Date fecha;
	private List<FaseAct> faseActs = new ArrayList<FaseAct>();

	public Actividades() {
	}

	public Actividades(Estados estados, Usuarios usuarios, String nombre, String descripcion) {
		this.estados = estados;
		this.usuarios = usuarios;
		this.nombre = nombre;
		this.descripcion = descripcion;
	}

	public Actividades(Estados estados, Usuarios usuarios, String nombre, String descripcion, Date fecha,
			List<FaseAct> faseActs) {
		this.estados = estados;
		this.usuarios = usuarios;
		this.nombre = nombre;
		this.descripcion = descripcion;
		this.fecha = fecha;
		this.faseActs = faseActs;
	}

	@Id
	@GeneratedValue(strategy = IDENTITY)

	@Column(name = "id_actividades", unique = true, nullable = false)
	public Integer getIdActividades() {
		return this.idActividades;
	}

	public void setIdActividades(Integer idActividades) {
		this.idActividades = idActividades;
	}

	@ManyToOne(fetch = FetchType.EAGER)
	@JoinColumn(name = "estado", nullable = false)
	public Estados getEstados() {
		return this.estados;
	}

	public void setEstados(Estados estados) {
		this.estados = estados;
	}

	@ManyToOne(fetch = FetchType.EAGER)
	@JoinColumn(name = "usuario", nullable = false)
	public Usuarios getUsuarios() {
		return this.usuarios;
	}

	public void setUsuarios(Usuarios usuarios) {
		this.usuarios = usuarios;
	}

	@Column(name = "nombre", nullable = false, length = 150)
	public String getNombre() {
		return this.nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	@Column(name = "descripcion", nullable = false, length = 250)
	public String getDescripcion() {
		return this.descripcion;
	}

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "fecha", length = 19)
	public Date getFecha() {
		return this.fecha;
	}

	public void setFecha(Date fecha) {
		this.fecha = fecha;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "actividades")
	public List<FaseAct> getFaseActs() {
		return faseActs;
	}

	public void setFaseActs(List<FaseAct> faseActs) {
		this.faseActs = faseActs;
	}

}
